# -*- coding: utf-8 -*-
##############################################################################
#
#    NUMA
#    Copyright (C) 2011 NUMA Extreme Systems (<http:www.numaes.com>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


{
        "name" : "NUMA Product extensions",
        "version" : "1.0",
        "author" : "NUMA Extreme Systems",
        "website" : "www.numaes.com",
        "category" : "Product",
        "description": """
Extensions to implement a fully configurable product configuration

It provide configuration possibilities on:
- Sales configurations, including computed values and dimensions
- Sales quotation support, with dynamic price aggregation
- Dynamic BoM creation, with easy to use rules and optionally Python computation
- Manufacture order customization and engineering. Single component customization and tracking

It is based on product prototype concept (see "Product Configurations - An application for prototype object approach" by Hannu Pertonen, Tomi Maennistoe, Kay Alho and Reijo Sulonen)

It supports specialization of products adding both new dimensions (configurations characteristics) and values (current data associated to a dimension for an specific product and all
its descendants)

Product has a conf_parent which is a prototype they are based on. They get as dimensions and values their directly defined dimensions and values plus all recursively defined dimensions and values
from their parents. This schema allows to implement several user cases, like product models, partially configured products, products with added characteristics based on standard, and many
other difficult or impossible to model with standard OpenERP cases.

It includes two profiles for users:
- A normal user, who can only add values to products and has the posibility to create new products based on existing ones
- A designer user (defined by group numa_product_extension.configuration_manager), who can do everything a normal user does plus the posibility of adding new dimensions


""",
        "depends" : ["base", "product"],
        "init_xml" : [ ],
        "demo_xml" : [ ],
        "update_xml" : [
            'security/security.xml',
            'security/ir.model.access.csv',
            "product_view.xml", 
            "configurator_view.xml", 
        ],
        "installable": True,
        "active": False,
} 
